
params.dir = "."
params.sRNAs = "${params.org}_sRNAs.bed"
params.len = "${params.org}GenomeLength.txt"
params.numN = 3

bedFile = file("${params.dir}/${params.sRNAs}")
if( !bedFile.exists() ) {
exit 1, "The specified input BED file does not exist: ${params.sRNAs}"
}

lenFile = file("${params.dir}/${params.len}")
if( !lenFile.exists() ) {
exit 1, "The specified input length file does not exist: ${params.len}"
}


process getNegativeInstances{

input:
    file bedFile
    file lenFile

output:
    file "rand_u.bed" into negInstances

script:

"""
for i in {1..${params.numN}}
do
    shuffleBed -i $bedFile -g $lenFile -chrom >> rand.bed
done
intersectBed -a rand.bed -b $bedFile -s -v | sort -u | awk -F "\\t" '{n++; print \$1, \$2, \$3, "${params.org}_RAND_"n, \$5, \$6 }'  | perl -p -e 's/ /\\t/g' > rand_u.bed
"""
}


negInstances.collectFile(name: file("${params.org}_RAND.bed"))

